com.microfocus.awm.meta.impl

## Class TaurusFactoryImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl
      - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
        - - org.eclipse.emf.ecore.impl.EModelElementImpl
          - - org.eclipse.emf.ecore.impl.EFactoryImpl
            - - com.microfocus.awm.meta.impl.TaurusFactoryImpl

- All Implemented Interfaces:
    TaurusFactory, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject, org.eclipse.emf.ecore.resource.impl.BinaryResourceImpl.DataConverter.Factory

      public class TaurusFactoryImpl
      extends org.eclipse.emf.ecore.impl.EFactoryImpl
      implements TaurusFactory

- - ### Property Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Type | Property and Description
    --- | ---
    `LinkedProperty` | `createLinked`
    `Property` | `create`
    `RApplicationProperty` | `createRApplication`
    `RElementlistProperty` | `createRElementlist` Deprecated.
    `RElementProperty` | `createRElement`
    `RFileProperty` | `createRFile`
    `RIDProperty` | `createRID`

  - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

      `org.eclipse.emf.ecore.InternalEObject.EStore`

  - ### Field Summary

    - ### Fields inherited from interface com.microfocus.awm.meta.TaurusFactory

      `eINSTANCE`

    - ### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

      `NIL`

    - ### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

      `EOPPOSITE_FEATURE_BASE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaurusFactoryImpl()` Creates an instance of the factory.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `convertEActionExecutionModeObjectToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
    `java.lang.String` | `convertEActionExecutionModeToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
    `java.lang.String` | `convertEApplicationActionExecutionTypeObjectToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
    `java.lang.String` | `convertEApplicationActionExecutionTypeToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
    `java.lang.String` | `convertEConditionOperatorsObjectToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
    `java.lang.String` | `convertEConditionOperatorsToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
    `java.lang.String` | `convertEEditorSelectionTypeObjectToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
    `java.lang.String` | `convertEEditorSelectionTypeToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
    `java.lang.String` | `convertEExecutionPointObjectToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
    `java.lang.String` | `convertEExecutionPointToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
    `java.lang.String` | `convertEExecutionRateObjectToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
    `java.lang.String` | `convertEExecutionRateToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
    `java.lang.String` | `convertEFileAttributeTypeToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
    `java.lang.String` | `convertEFileElementTypeToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
    `java.lang.String` | `convertEFileStructuresObjectToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
    `java.lang.String` | `convertEFileStructuresToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
    `java.lang.String` | `convertEFileTypesObjectToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
    `java.lang.String` | `convertEFileTypesToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
    `java.lang.String` | `convertEIconsObjectToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
    `java.lang.String` | `convertEIconsToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
    `java.lang.String` | `convertEIntegratedToolsObjectToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
    `java.lang.String` | `convertEIntegratedToolsToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
    `java.lang.String` | `convertEInvokeFormsObjectToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
    `java.lang.String` | `convertEInvokeFormsToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
    `java.lang.String` | `convertEMassProcessingObjectToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
    `java.lang.String` | `convertEMassProcessingToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
    `java.lang.String` | `convertEOperatorsObjectToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
    `java.lang.String` | `convertEOperatorsToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
    `java.lang.String` | `convertEParameterTypesObjectToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
    `java.lang.String` | `convertEParameterTypesToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
    `java.lang.String` | `convertEParmFromTypesObjectToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
    `java.lang.String` | `convertEParmFromTypesToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
    `java.lang.String` | `convertERelativePositionObjectToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
    `java.lang.String` | `convertERelativePositionToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
    `java.lang.String` | `convertEResourceProcessingTypesObjectToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
    `java.lang.String` | `convertEResourceProcessingTypesToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
    `java.lang.String` | `convertERetrieveAllValuesToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
    `java.lang.String` | `convertERunAsJobTypesObjectToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
    `java.lang.String` | `convertERunAsJobTypesToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
    `java.lang.String` | `convertESortDirectionObjectToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
    `java.lang.String` | `convertESortDirectionToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
    `java.lang.String` | `convertESpecialPropertiesObjectToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
    `java.lang.String` | `convertESpecialPropertiesToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
    `java.lang.String` | `convertETableModeObjectToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
    `java.lang.String` | `convertETableModeToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
    `java.lang.String` | `convertETextDecorationPositionToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
    `java.lang.String` | `convertETypesObjectToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
    `java.lang.String` | `convertETypesToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
    `java.lang.String` | `convertEWorkbenchActionTypeObjectToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
    `java.lang.String` | `convertEWorkbenchActionTypeToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
    `java.lang.String` | `convertToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
    `org.eclipse.emf.ecore.EObject` | `create(org.eclipse.emf.ecore.EClass eClass)`
    `ActionDescriptor` | `createActionDescriptor()`
    `ApplicationOptions` | `createApplicationOptions()`
    `CActionDescriptors` | `createCActionDescriptors()`
    `CElementListStructures` | `createCElementListStructures()`
    `CElementTypes` | `createCElementTypes()`
    `CFileDescriptors` | `createCFileDescriptors()`
    `CFilterTypes` | `createCFilterTypes()`
    `CFunctionPackages` | `createCFunctionPackages()`
    `CGlobalActions` | `createCGlobalActions()`
    `CIcons` | `createCIcons()`
    `CIDDefinitions` | `createCIDDefinitions()`
    `ComplexAttributeBase` | `createComplexAttribute()`
    `ComplexAttributeBase` | `createComplexAttributeBase()`
    `CProperties` | `createCProperties()`
    `CToolCategory` | `createCToolCategory()`
    `CToolDescriptors` | `createCToolDescriptors()`
    `DocumentRoot` | `createDocumentRoot()`
    `org.eclipse.emf.ecore.EObject` | `createDynamicModelExtensionObject()`
    `ToolDescriptor` | `createDynamicToolDescriptor()`
    `RToolParameter` | `createDynamicToolParameter(ToolTypeParameter pParameter)` Creates a dynamic tool parameter based on a `ToolTypeParameter`.
    `EActionExecutionMode` | `createEActionExecutionModeFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
    `EActionExecutionMode` | `createEActionExecutionModeObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
    `EApplicationActionExecutionType` | `createEApplicationActionExecutionTypeFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
    `EApplicationActionExecutionType` | `createEApplicationActionExecutionTypeObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
    `EConditionOperators` | `createEConditionOperatorsFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
    `EConditionOperators` | `createEConditionOperatorsObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
    `EEditorSelectionType` | `createEEditorSelectionTypeFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
    `EEditorSelectionType` | `createEEditorSelectionTypeObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
    `EExecutionPoint` | `createEExecutionPointFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
    `EExecutionPoint` | `createEExecutionPointObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
    `EExecutionRate` | `createEExecutionRateFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
    `EExecutionRate` | `createEExecutionRateObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
    `EFileAttributeType` | `createEFileAttributeTypeFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
    `EFileElementType` | `createEFileElementTypeFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
    `EFileStructures` | `createEFileStructuresFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
    `EFileStructures` | `createEFileStructuresObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
    `EFileTypes` | `createEFileTypesFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
    `EFileTypes` | `createEFileTypesObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
    `EIcons` | `createEIconsFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
    `EIcons` | `createEIconsObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
    `EIntegratedTools` | `createEIntegratedToolsFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
    `EIntegratedTools` | `createEIntegratedToolsObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
    `EInvokeForms` | `createEInvokeFormsFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
    `EInvokeForms` | `createEInvokeFormsObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
    `ElementListStructure` | `createElementListStructure()`
    `ElementType` | `createElementType()`
    `EMassProcessing` | `createEMassProcessingFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
    `EMassProcessing` | `createEMassProcessingObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
    `EOperators` | `createEOperatorsFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
    `EOperators` | `createEOperatorsObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
    `EParameterTypes` | `createEParameterTypesFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
    `EParameterTypes` | `createEParameterTypesObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
    `EParmFromTypes` | `createEParmFromTypesFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
    `EParmFromTypes` | `createEParmFromTypesObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
    `ERelativePosition` | `createERelativePositionFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
    `ERelativePosition` | `createERelativePositionObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
    `EResourceProcessingTypes` | `createEResourceProcessingTypesFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
    `EResourceProcessingTypes` | `createEResourceProcessingTypesObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
    `ERetrieveAllValues` | `createERetrieveAllValuesFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
    `ErrorView` | `createErrorView()`
    `ERunAsJobTypes` | `createERunAsJobTypesFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
    `ERunAsJobTypes` | `createERunAsJobTypesObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
    `ESortDirection` | `createESortDirectionFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
    `ESortDirection` | `createESortDirectionObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
    `ESpecialProperties` | `createESpecialPropertiesFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
    `ESpecialProperties` | `createESpecialPropertiesObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
    `ETableMode` | `createETableModeFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
    `ETableMode` | `createETableModeObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
    `ETextDecorationPosition` | `createETextDecorationPositionFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
    `ETypes` | `createETypesFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
    `ETypes` | `createETypesObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
    `EWorkbenchActionType` | `createEWorkbenchActionTypeFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
    `EWorkbenchActionType` | `createEWorkbenchActionTypeObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
    `FileDescriptor` | `createFileDescriptor()`
    `FileDescriptor` | `createFileDescriptor(FileDescriptorExtension pFileDescriptorExtension)` Creates an `FileDescriptor` from a `FileDescriptorExtension`.
    `FilterType` | `createFilterType()`
    `java.lang.Object` | `createFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
    `FunctionPackage` | `createFunctionPackage()`
    `FunctionPackage` | `createFunctionPackage(FunctionPackageExtension pFpe)` Creates a dynamic function package instance based on a `FunctionPackageExtension`.
    `FunctionPackageIcon` | `createFunctionPackageIcon()`
    `FunctionPackageIcon` | `createFunctionPackageIcon(IconExtension pIconExtension)` Properly creates an `FunctionPackageIcon`.
    `GenericSymbols` | `createGenericSymbols()`
    `GlobalAction` | `createGlobalAction()`
    `Icon` | `createIcon()`
    `IDDefinition` | `createIDDefinition()`
    `IDDefinition` | `createIDDefinition(IDDefinitionExtension pExtension)` Creates an ID definition from a `IDDefinitionExtension`.
    `ISAEditorAction` | `createISAEditorAction()`
    `ISAISPFPanel` | `createISAISPFPanel()`
    `ISAISPFTool` | `createISAISPFTool()`
    `ISAPanelCommand` | `createISAPanelCommand()`
    `ISAPlugIn` | `createISAPlugIn()`
    `ISAWorkbenchAction` | `createISAWorkbenchAction()`
    `LinkedElementType` | `createLinkedElementType()`
    `LinkedElementType` | `createLinkedElementType(LinkedElementTypeExtension pLete)` Properly creates a new linked element type.
    `LinkedProperty` | `createLinkedProperty()`
    `LinkedProperty` | `createLinkedProperty(LinkedPropertyExtension pProperty)` Properly creates a linked property.
    `PredefinedIcon` | `createPredefinedIcon()`
    `Property` | `createProperty()`
    `Property` | `createProperty(ModelPropertyExtension pMpe)` Creates a property from a `ModelPropertyExtension`.
    `RActionComplexCondition` | `createRActionComplexCondition()`
    `RActionParmOverride` | `createRActionParmOverride()`
    `RActionSimpleCondition` | `createRActionSimpleCondition()`
    `RActionTool` | `createRActionTool()`
    `RApplicationAction` | `createRApplicationAction()`
    `RApplicationProperty` | `createRApplicationProperty()`
    `RDecorationValue` | `createRDecorationValue()`
    `RElementAction` | `createRElementAction()`
    `RElementFilter` | `createRElementFilter()`
    `RElementGetChildrenAction` | `createRElementGetChildrenAction()`
    `RElementGetProperties` | `createRElementGetProperties()`
    `RElementlistAction` | `createRElementlistAction()`
    `RElementlistColumn` | `createRElementlistColumn()`
    `RElementlistProperty` | `createRElementlistProperty()` Deprecated.
    `RElementProperty` | `createRElementProperty()`
    `RElementTextDecoration` | `createRElementTextDecoration()`
    `REnabledCondition` | `createREnabledCondition()`
    `RErrorViewAction` | `createRErrorViewAction()`
    `RFileAction` | `createRFileAction()`
    `RFileAttribute` | `createRFileAttribute()`
    `RFileElement` | `createRFileElement()`
    `RFileProperty` | `createRFileProperty()`
    `RFilterAction` | `createRFilterAction()`
    `RFilterFiltercriterion` | `createRFilterFiltercriterion()`
    `RIDProperty` | `createRIDProperty()`
    `RISPFToolPanel` | `createRISPFToolPanel()`
    `RPanelField` | `createRPanelField()`
    `RSelectionEnabledCondition` | `createRSelectionEnabledCondition()`
    `RSelectionVisibleCondition` | `createRSelectionVisibleCondition()`
    `RToolInParameter` | `createRToolInParameter()`
    `RToolOutParameter` | `createRToolOutParameter()`
    `RToolValidateAction` | `createRToolValidateAction()`
    `RVisibleCondition` | `createRVisibleCondition()`
    `SelectionPropertyMapping` | `createSelectionPropertyMapping()`
    `SpecificAttribute` | `createSpecificAttribute()`
    `TAURUSConfiguration` | `createTAURUSConfiguration()`
    `ToolDescriptor` | `createToolDescriptor()`
    `ToolDescriptor` | `createToolDescriptor(ToolTypeExtension pTte)` Creates a dynamic tool descriptor instance based on a `ToolTypeExtension`.
    `static TaurusPackage` | `getPackage()` Deprecated.
    `TaurusPackage` | `getTaurusPackage()`
    `static TaurusFactory` | `init()` Creates the default factory implementation.

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl

      `basicSetEPackage, create, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eSet, eUnset, getEPackage, setEPackage`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

      `eObjectForURIFragmentSegment, eURIFragmentSegment, getEAnnotation, getEAnnotations`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eInternalContainer`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `dynamicGet, dynamicSet, dynamicUnset, eAdapters, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eIsProxy, eProxyURI, eSetClass, eSetDeliver, eSetProxyURI`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset, toString`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `eNotificationRequired, eNotify`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EFactory

      `getEPackage, setEPackage`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

    - ### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

      `eNotificationRequired`

- - ### Property Detail

    - #### createLinked

          public LinkedProperty createLinkedProperty

      Specified by:
        `createLinkedProperty` in interface `TaurusFactory`

    - #### create

          public Property createProperty

      Specified by:
        `createProperty` in interface `TaurusFactory`

    - #### createRApplication

          public RApplicationProperty createRApplicationProperty

      Specified by:
        `createRApplicationProperty` in interface `TaurusFactory`

    - #### createRElementlist

          @Deprecated
          public RElementlistProperty createRElementlistProperty

      Specified by:
        `createRElementlistProperty` in interface `TaurusFactory`

    - #### createRElement

          public RElementProperty createRElementProperty

      Specified by:
        `createRElementProperty` in interface `TaurusFactory`

    - #### createRFile

          public RFileProperty createRFileProperty

      Specified by:
        `createRFileProperty` in interface `TaurusFactory`

    - #### createRID

          public RIDProperty createRIDProperty

      Specified by:
        `createRIDProperty` in interface `TaurusFactory`

  - ### Constructor Detail

    - #### TaurusFactoryImpl

          public TaurusFactoryImpl()

      Creates an instance of the factory.

  - ### Method Detail

    - #### init

          public static TaurusFactory init()

      Creates the default factory implementation.

    - #### create

          public org.eclipse.emf.ecore.EObject create(org.eclipse.emf.ecore.EClass eClass)

      Specified by:
        `create` in interface `org.eclipse.emf.ecore.EFactory`
      Overrides:
        `create` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`

    - #### createFromString

          public java.lang.Object createFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                   java.lang.String initialValue)

      Specified by:
        `createFromString` in interface `org.eclipse.emf.ecore.EFactory`
      Overrides:
        `createFromString` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`

    - #### convertToString

          public java.lang.String convertToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                  java.lang.Object instanceValue)

      Specified by:
        `convertToString` in interface `org.eclipse.emf.ecore.EFactory`
      Overrides:
        `convertToString` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`

    - #### createActionDescriptor

          public ActionDescriptor createActionDescriptor()

      Specified by:
        `createActionDescriptor` in interface `TaurusFactory`
      Returns:
        a new object of class 'Action Descriptor'.

    - #### createApplicationOptions

          public ApplicationOptions createApplicationOptions()

      Specified by:
        `createApplicationOptions` in interface `TaurusFactory`
      Returns:
        a new object of class 'Application Options'.

    - #### createCActionDescriptors

          public CActionDescriptors createCActionDescriptors()

      Specified by:
        `createCActionDescriptors` in interface `TaurusFactory`
      Returns:
        a new object of class 'CAction Descriptors'.

    - #### createCElementListStructures

          public CElementListStructures createCElementListStructures()

      Specified by:
        `createCElementListStructures` in interface `TaurusFactory`
      Returns:
        a new object of class 'CElement List Structures'.

    - #### createCElementTypes

          public CElementTypes createCElementTypes()

      Specified by:
        `createCElementTypes` in interface `TaurusFactory`
      Returns:
        a new object of class 'CElement Types'.

    - #### createCFileDescriptors

          public CFileDescriptors createCFileDescriptors()

      Specified by:
        `createCFileDescriptors` in interface `TaurusFactory`
      Returns:
        a new object of class 'CFile Descriptors'.

    - #### createCFilterTypes

          public CFilterTypes createCFilterTypes()

      Specified by:
        `createCFilterTypes` in interface `TaurusFactory`
      Returns:
        a new object of class 'CFilter Types'.

    - #### createCFunctionPackages

          public CFunctionPackages createCFunctionPackages()

      Specified by:
        `createCFunctionPackages` in interface `TaurusFactory`
      Returns:
        a new object of class 'CFunction Packages'.

    - #### createCGlobalActions

          public CGlobalActions createCGlobalActions()

      Specified by:
        `createCGlobalActions` in interface `TaurusFactory`
      Returns:
        a new object of class 'CGlobal Actions'.

    - #### createCIcons

          public CIcons createCIcons()

      Specified by:
        `createCIcons` in interface `TaurusFactory`
      Returns:
        a new object of class 'CIcons'.

    - #### createCIDDefinitions

          public CIDDefinitions createCIDDefinitions()

      Specified by:
        `createCIDDefinitions` in interface `TaurusFactory`
      Returns:
        a new object of class 'CID Definitions'.

    - #### createComplexAttribute

          public ComplexAttributeBase createComplexAttribute()

      Specified by:
        `createComplexAttribute` in interface `TaurusFactory`
      Returns:
        a new object of class 'Complex Attribute'.

    - #### createComplexAttributeBase

          public ComplexAttributeBase createComplexAttributeBase()

      Specified by:
        `createComplexAttributeBase` in interface `TaurusFactory`
      Returns:
        a new object of class 'Complex Attribute Base'.

    - #### createCProperties

          public CProperties createCProperties()

      Specified by:
        `createCProperties` in interface `TaurusFactory`
      Returns:
        a new object of class 'CProperties'.

    - #### createCToolCategory

          public CToolCategory createCToolCategory()

      Specified by:
        `createCToolCategory` in interface `TaurusFactory`
      Returns:
        a new object of class 'CTool Category'.

    - #### createCToolDescriptors

          public CToolDescriptors createCToolDescriptors()

      Specified by:
        `createCToolDescriptors` in interface `TaurusFactory`
      Returns:
        a new object of class 'CTool Descriptors'.

    - #### createDocumentRoot

          public DocumentRoot createDocumentRoot()

      Specified by:
        `createDocumentRoot` in interface `TaurusFactory`
      Returns:
        a new object of class 'Document Root'.

    - #### createDynamicModelExtensionObject

          public org.eclipse.emf.ecore.EObject createDynamicModelExtensionObject()

      Specified by:
        `createDynamicModelExtensionObject` in interface `TaurusFactory`
      Returns:
        a new object of class 'Dynamic Model Extension Object'.

    - #### createElementListStructure

          public ElementListStructure createElementListStructure()

      Specified by:
        `createElementListStructure` in interface `TaurusFactory`
      Returns:
        a new object of class 'Element List Structure'.

    - #### createElementType

          public ElementType createElementType()

      Specified by:
        `createElementType` in interface `TaurusFactory`
      Returns:
        a new object of class 'Element Type'.

    - #### createErrorView

          public ErrorView createErrorView()

      Specified by:
        `createErrorView` in interface `TaurusFactory`
      Returns:
        a new object of class 'Error View'.

    - #### createFileDescriptor

          public FileDescriptor createFileDescriptor()

      Specified by:
        `createFileDescriptor` in interface `TaurusFactory`
      Returns:
        a new object of class 'File Descriptor'.

    - #### createFilterType

          public FilterType createFilterType()

      Specified by:
        `createFilterType` in interface `TaurusFactory`
      Returns:
        a new object of class 'Filter Type'.

    - #### createFunctionPackage

          public FunctionPackage createFunctionPackage()

      Specified by:
        `createFunctionPackage` in interface `TaurusFactory`
      Returns:
        a new object of class 'Function Package'.

    - #### createFunctionPackageIcon

          public FunctionPackageIcon createFunctionPackageIcon()

      Specified by:
        `createFunctionPackageIcon` in interface `TaurusFactory`
      Returns:
        a new object of class 'Function Package Icon'.

    - #### createFunctionPackage

          public FunctionPackage createFunctionPackage(FunctionPackageExtension pFpe)

      Creates a dynamic function package instance based on a `FunctionPackageExtension`.
      Specified by:
        `createFunctionPackage` in interface `TaurusFactory`
      Parameters:
        `pFpe` - the function package extension
      Returns:
        the created function package

    - #### createGenericSymbols

          public GenericSymbols createGenericSymbols()

      Specified by:
        `createGenericSymbols` in interface `TaurusFactory`
      Returns:
        a new object of class 'Generic Symbols'.

    - #### createGlobalAction

          public GlobalAction createGlobalAction()

      Specified by:
        `createGlobalAction` in interface `TaurusFactory`
      Returns:
        a new object of class 'Global Action'.

    - #### createIcon

          public Icon createIcon()

      Specified by:
        `createIcon` in interface `TaurusFactory`
      Returns:
        a new object of class 'Icon'.

    - #### createIDDefinition

          public IDDefinition createIDDefinition()

      Specified by:
        `createIDDefinition` in interface `TaurusFactory`
      Returns:
        a new object of class 'ID Definition'.

    - #### createISAEditorAction

          public ISAEditorAction createISAEditorAction()

      Specified by:
        `createISAEditorAction` in interface `TaurusFactory`
      Returns:
        a new object of class 'ISA Editor Action'.

    - #### createISAISPFPanel

          public ISAISPFPanel createISAISPFPanel()

      Specified by:
        `createISAISPFPanel` in interface `TaurusFactory`
      Returns:
        a new object of class 'ISAISPF Panel'.

    - #### createISAISPFTool

          public ISAISPFTool createISAISPFTool()

      Specified by:
        `createISAISPFTool` in interface `TaurusFactory`
      Returns:
        a new object of class 'ISAISPF Tool'.

    - #### createISAPanelCommand

          public ISAPanelCommand createISAPanelCommand()

      Specified by:
        `createISAPanelCommand` in interface `TaurusFactory`
      Returns:
        a new object of class 'ISA Panel Command'.

    - #### createISAPlugIn

          public ISAPlugIn createISAPlugIn()

      Specified by:
        `createISAPlugIn` in interface `TaurusFactory`
      Returns:
        a new object of class 'ISA Plug In'.

    - #### createISAWorkbenchAction

          public ISAWorkbenchAction createISAWorkbenchAction()

      Specified by:
        `createISAWorkbenchAction` in interface `TaurusFactory`
      Returns:
        a new object of class 'ISA Workbench Action'.

    - #### createLinkedElementType

          public LinkedElementType createLinkedElementType()

      Specified by:
        `createLinkedElementType` in interface `TaurusFactory`
      Returns:
        a new object of class 'Linked Element Type'.

    - #### createLinkedProperty

          public LinkedProperty createLinkedProperty()

      Specified by:
        `createLinkedProperty` in interface `TaurusFactory`

    - #### createPredefinedIcon

          public PredefinedIcon createPredefinedIcon()

      Specified by:
        `createPredefinedIcon` in interface `TaurusFactory`
      Returns:
        a new object of class 'Predefined Icon'.

    - #### createProperty

          public Property createProperty()

      Specified by:
        `createProperty` in interface `TaurusFactory`

    - #### createProperty

          public Property createProperty(ModelPropertyExtension pMpe)

      Description copied from interface: `TaurusFactory`
      Creates a property from a `ModelPropertyExtension`.
      Specified by:
        `createProperty` in interface `TaurusFactory`
      Parameters:
        `pMpe` - the model property extension to create the property from
      Returns:
        the created property

    - #### createRActionComplexCondition

          public RActionComplexCondition createRActionComplexCondition()

      Specified by:
        `createRActionComplexCondition` in interface `TaurusFactory`
      Returns:
        a new object of class 'RAction Complex Condition'.

    - #### createRActionParmOverride

          public RActionParmOverride createRActionParmOverride()

      Specified by:
        `createRActionParmOverride` in interface `TaurusFactory`
      Returns:
        a new object of class 'RAction Parm Override'.

    - #### createRActionSimpleCondition

          public RActionSimpleCondition createRActionSimpleCondition()

      Specified by:
        `createRActionSimpleCondition` in interface `TaurusFactory`
      Returns:
        a new object of class 'RAction Simple Condition'.

    - #### createRActionTool

          public RActionTool createRActionTool()

      Specified by:
        `createRActionTool` in interface `TaurusFactory`
      Returns:
        a new object of class 'RAction Tool'.

    - #### createRApplicationAction

          public RApplicationAction createRApplicationAction()

      Specified by:
        `createRApplicationAction` in interface `TaurusFactory`
      Returns:
        a new object of class 'RApplication Action'.

    - #### createRElementAction

          public RElementAction createRElementAction()

      Specified by:
        `createRElementAction` in interface `TaurusFactory`
      Returns:
        a new object of class 'RElement Action'.

    - #### createRElementFilter

          public RElementFilter createRElementFilter()

      Specified by:
        `createRElementFilter` in interface `TaurusFactory`
      Returns:
        a new object of class 'RElement Filter'.

    - #### createRElementGetProperties

          public RElementGetProperties createRElementGetProperties()

      Specified by:
        `createRElementGetProperties` in interface `TaurusFactory`
      Returns:
        a new object of class 'RElement Get Properties'.

    - #### createRElementGetChildrenAction

          public RElementGetChildrenAction createRElementGetChildrenAction()

      Specified by:
        `createRElementGetChildrenAction` in interface `TaurusFactory`
      Returns:
        a new object of class 'RElement Get Children Action'.

    - #### createRElementlistAction

          public RElementlistAction createRElementlistAction()

      Specified by:
        `createRElementlistAction` in interface `TaurusFactory`
      Returns:
        a new object of class 'RElementlist Action'.

    - #### createRElementlistColumn

          public RElementlistColumn createRElementlistColumn()

      Specified by:
        `createRElementlistColumn` in interface `TaurusFactory`
      Returns:
        a new object of class 'RElementlist Column'.

    - #### createRApplicationProperty

          public RApplicationProperty createRApplicationProperty()

      Specified by:
        `createRApplicationProperty` in interface `TaurusFactory`

    - #### createRElementlistProperty

          @Deprecated
          public RElementlistProperty createRElementlistProperty()

      Deprecated.
      Specified by:
        `createRElementlistProperty` in interface `TaurusFactory`

    - #### createRElementProperty

          public RElementProperty createRElementProperty()

      Specified by:
        `createRElementProperty` in interface `TaurusFactory`

    - #### createRSelectionEnabledCondition

          public RSelectionEnabledCondition createRSelectionEnabledCondition()

      Specified by:
        `createRSelectionEnabledCondition` in interface `TaurusFactory`
      Returns:
        a new object of class 'RSelection Enabled Condition'.

    - #### createRSelectionVisibleCondition

          public RSelectionVisibleCondition createRSelectionVisibleCondition()

      Specified by:
        `createRSelectionVisibleCondition` in interface `TaurusFactory`
      Returns:
        a new object of class 'RSelection Visible Condition'.

    - #### createREnabledCondition

          public REnabledCondition createREnabledCondition()

      Specified by:
        `createREnabledCondition` in interface `TaurusFactory`
      Returns:
        a new object of class 'REnabled Condition'.

    - #### createRVisibleCondition

          public RVisibleCondition createRVisibleCondition()

      Specified by:
        `createRVisibleCondition` in interface `TaurusFactory`
      Returns:
        a new object of class 'RVisible Condition'.

    - #### createRElementTextDecoration

          public RElementTextDecoration createRElementTextDecoration()

      Specified by:
        `createRElementTextDecoration` in interface `TaurusFactory`
      Returns:
        a new object of class 'RElement Text Decoration'.

    - #### createRDecorationValue

          public RDecorationValue createRDecorationValue()

      Specified by:
        `createRDecorationValue` in interface `TaurusFactory`
      Returns:
        a new object of class 'RDecoration Value'.

    - #### createRErrorViewAction

          public RErrorViewAction createRErrorViewAction()

      Specified by:
        `createRErrorViewAction` in interface `TaurusFactory`
      Returns:
        a new object of class 'RError View Action'.

    - #### createRFileAction

          public RFileAction createRFileAction()

      Specified by:
        `createRFileAction` in interface `TaurusFactory`
      Returns:
        a new object of class 'RFile Action'.

    - #### createRFileAttribute

          public RFileAttribute createRFileAttribute()

      Specified by:
        `createRFileAttribute` in interface `TaurusFactory`
      Returns:
        a new object of class 'RFile Attribute'.

    - #### createRFileElement

          public RFileElement createRFileElement()

      Specified by:
        `createRFileElement` in interface `TaurusFactory`
      Returns:
        a new object of class 'RFile Element'.

    - #### createRFileProperty

          public RFileProperty createRFileProperty()

      Specified by:
        `createRFileProperty` in interface `TaurusFactory`

    - #### createRFilterAction

          public RFilterAction createRFilterAction()

      Specified by:
        `createRFilterAction` in interface `TaurusFactory`
      Returns:
        a new object of class 'RFilter Action'.

    - #### createRFilterFiltercriterion

          public RFilterFiltercriterion createRFilterFiltercriterion()

      Specified by:
        `createRFilterFiltercriterion` in interface `TaurusFactory`
      Returns:
        a new object of class 'RFilter Filtercriterion'.

    - #### createRIDProperty

          public RIDProperty createRIDProperty()

      Specified by:
        `createRIDProperty` in interface `TaurusFactory`

    - #### createRISPFToolPanel

          public RISPFToolPanel createRISPFToolPanel()

      Specified by:
        `createRISPFToolPanel` in interface `TaurusFactory`
      Returns:
        a new object of class 'RISPF Tool Panel'.

    - #### createRPanelField

          public RPanelField createRPanelField()

      Specified by:
        `createRPanelField` in interface `TaurusFactory`
      Returns:
        a new object of class 'RPanel Field'.

    - #### createRToolInParameter

          public RToolInParameter createRToolInParameter()

      Specified by:
        `createRToolInParameter` in interface `TaurusFactory`
      Returns:
        a new object of class 'RTool In Parameter'.

    - #### createRToolOutParameter

          public RToolOutParameter createRToolOutParameter()

      Specified by:
        `createRToolOutParameter` in interface `TaurusFactory`
      Returns:
        a new object of class 'RTool Out Parameter'.

    - #### createRToolValidateAction

          public RToolValidateAction createRToolValidateAction()

      Specified by:
        `createRToolValidateAction` in interface `TaurusFactory`
      Returns:
        a new object of class 'RTool Validate Action'.

    - #### createSelectionPropertyMapping

          public SelectionPropertyMapping createSelectionPropertyMapping()

      Specified by:
        `createSelectionPropertyMapping` in interface `TaurusFactory`
      Returns:
        a new object of class 'Selection Property Mapping'.

    - #### createSpecificAttribute

          public SpecificAttribute createSpecificAttribute()

      Specified by:
        `createSpecificAttribute` in interface `TaurusFactory`
      Returns:
        a new object of class 'Specific Attribute'.

    - #### createTAURUSConfiguration

          public TAURUSConfiguration createTAURUSConfiguration()

      Specified by:
        `createTAURUSConfiguration` in interface `TaurusFactory`
      Returns:
        a new object of class 'TAURUS Configuration'.

    - #### createToolDescriptor

          public ToolDescriptor createToolDescriptor()

      Specified by:
        `createToolDescriptor` in interface `TaurusFactory`
      Returns:
        a new object of class 'Tool Descriptor'.

    - #### createEExecutionRateFromString

          public EExecutionRate createEExecutionRateFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                               java.lang.String initialValue)

    - #### convertEExecutionRateToString

          public java.lang.String convertEExecutionRateToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                java.lang.Object instanceValue)

    - #### createEExecutionPointFromString

          public EExecutionPoint createEExecutionPointFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                 java.lang.String initialValue)

    - #### convertEExecutionPointToString

          public java.lang.String convertEExecutionPointToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                 java.lang.Object instanceValue)

    - #### createToolDescriptor

          public ToolDescriptor createToolDescriptor(ToolTypeExtension pTte)

      Creates a dynamic tool descriptor instance based on a `ToolTypeExtension`.
      Specified by:
        `createToolDescriptor` in interface `TaurusFactory`
      Parameters:
        `pTte` - the tool type extension
      Returns:
        the created tool descriptor

    - #### createDynamicToolDescriptor

          public ToolDescriptor createDynamicToolDescriptor()

      Specified by:
        `createDynamicToolDescriptor` in interface `TaurusFactory`
      Returns:
        a new object of class 'Dynamic Tool Descriptor'.

    - #### createEActionExecutionModeFromString

          public EActionExecutionMode createEActionExecutionModeFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                           java.lang.String initialValue)

    - #### convertEActionExecutionModeToString

          public java.lang.String convertEActionExecutionModeToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                      java.lang.Object instanceValue)

    - #### createEApplicationActionExecutionTypeFromString

          public EApplicationActionExecutionType createEApplicationActionExecutionTypeFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                                                 java.lang.String initialValue)

    - #### convertEApplicationActionExecutionTypeToString

          public java.lang.String convertEApplicationActionExecutionTypeToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                                 java.lang.Object instanceValue)

    - #### createEConditionOperatorsFromString

          public EConditionOperators createEConditionOperatorsFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                         java.lang.String initialValue)

    - #### convertEConditionOperatorsToString

          public java.lang.String convertEConditionOperatorsToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                     java.lang.Object instanceValue)

    - #### createEEditorSelectionTypeFromString

          public EEditorSelectionType createEEditorSelectionTypeFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                           java.lang.String initialValue)

    - #### convertEEditorSelectionTypeToString

          public java.lang.String convertEEditorSelectionTypeToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                      java.lang.Object instanceValue)

    - #### createEFileStructuresFromString

          public EFileStructures createEFileStructuresFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                 java.lang.String initialValue)

    - #### convertEFileStructuresToString

          public java.lang.String convertEFileStructuresToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                 java.lang.Object instanceValue)

    - #### createEFileTypesFromString

          public EFileTypes createEFileTypesFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                       java.lang.String initialValue)

    - #### convertEFileTypesToString

          public java.lang.String convertEFileTypesToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                            java.lang.Object instanceValue)

    - #### createETextDecorationPositionFromString

          public ETextDecorationPosition createETextDecorationPositionFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                                 java.lang.String initialValue)

    - #### convertETextDecorationPositionToString

          public java.lang.String convertETextDecorationPositionToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                         java.lang.Object instanceValue)

    - #### createEFileElementTypeFromString

          public EFileElementType createEFileElementTypeFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                   java.lang.String initialValue)

    - #### convertEFileElementTypeToString

          public java.lang.String convertEFileElementTypeToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                  java.lang.Object instanceValue)

    - #### createEFileAttributeTypeFromString

          public EFileAttributeType createEFileAttributeTypeFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                       java.lang.String initialValue)

    - #### convertEFileAttributeTypeToString

          public java.lang.String convertEFileAttributeTypeToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                    java.lang.Object instanceValue)

    - #### createEIconsFromString

          public EIcons createEIconsFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                               java.lang.String initialValue)

    - #### convertEIconsToString

          public java.lang.String convertEIconsToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                        java.lang.Object instanceValue)

    - #### createEIntegratedToolsFromString

          public EIntegratedTools createEIntegratedToolsFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                   java.lang.String initialValue)

    - #### convertEIntegratedToolsToString

          public java.lang.String convertEIntegratedToolsToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                  java.lang.Object instanceValue)

    - #### createEInvokeFormsFromString

          public EInvokeForms createEInvokeFormsFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                           java.lang.String initialValue)

    - #### convertEInvokeFormsToString

          public java.lang.String convertEInvokeFormsToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                              java.lang.Object instanceValue)

    - #### createEMassProcessingFromString

          public EMassProcessing createEMassProcessingFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                 java.lang.String initialValue)

    - #### convertEMassProcessingToString

          public java.lang.String convertEMassProcessingToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                 java.lang.Object instanceValue)

    - #### createEOperatorsFromString

          public EOperators createEOperatorsFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                       java.lang.String initialValue)

    - #### convertEOperatorsToString

          public java.lang.String convertEOperatorsToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                            java.lang.Object instanceValue)

    - #### createEParameterTypesFromString

          public EParameterTypes createEParameterTypesFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                 java.lang.String initialValue)

    - #### convertEParameterTypesToString

          public java.lang.String convertEParameterTypesToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                 java.lang.Object instanceValue)

    - #### createEParmFromTypesFromString

          public EParmFromTypes createEParmFromTypesFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                               java.lang.String initialValue)

    - #### convertEParmFromTypesToString

          public java.lang.String convertEParmFromTypesToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                java.lang.Object instanceValue)

    - #### createERelativePositionFromString

          public ERelativePosition createERelativePositionFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                     java.lang.String initialValue)

    - #### convertERelativePositionToString

          public java.lang.String convertERelativePositionToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                   java.lang.Object instanceValue)

    - #### createEResourceProcessingTypesFromString

          public EResourceProcessingTypes createEResourceProcessingTypesFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                                   java.lang.String initialValue)

    - #### convertEResourceProcessingTypesToString

          public java.lang.String convertEResourceProcessingTypesToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                          java.lang.Object instanceValue)

    - #### createERunAsJobTypesFromString

          public ERunAsJobTypes createERunAsJobTypesFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                               java.lang.String initialValue)

    - #### convertERunAsJobTypesToString

          public java.lang.String convertERunAsJobTypesToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                java.lang.Object instanceValue)

    - #### createESortDirectionFromString

          public ESortDirection createESortDirectionFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                               java.lang.String initialValue)

    - #### convertESortDirectionToString

          public java.lang.String convertESortDirectionToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                java.lang.Object instanceValue)

    - #### createESpecialPropertiesFromString

          public ESpecialProperties createESpecialPropertiesFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                       java.lang.String initialValue)

    - #### convertESpecialPropertiesToString

          public java.lang.String convertESpecialPropertiesToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                    java.lang.Object instanceValue)

    - #### createETableModeFromString

          public ETableMode createETableModeFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                       java.lang.String initialValue)

    - #### convertETableModeToString

          public java.lang.String convertETableModeToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                            java.lang.Object instanceValue)

    - #### createETypesFromString

          public ETypes createETypesFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                               java.lang.String initialValue)

    - #### convertETypesToString

          public java.lang.String convertETypesToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                        java.lang.Object instanceValue)

    - #### createEWorkbenchActionTypeFromString

          public EWorkbenchActionType createEWorkbenchActionTypeFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                           java.lang.String initialValue)

    - #### convertEWorkbenchActionTypeToString

          public java.lang.String convertEWorkbenchActionTypeToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                      java.lang.Object instanceValue)

    - #### createERetrieveAllValuesFromString

          public ERetrieveAllValues createERetrieveAllValuesFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                       java.lang.String initialValue)

    - #### convertERetrieveAllValuesToString

          public java.lang.String convertERetrieveAllValuesToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                    java.lang.Object instanceValue)

    - #### createEExecutionRateObjectFromString

          public EExecutionRate createEExecutionRateObjectFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                     java.lang.String initialValue)

    - #### convertEExecutionRateObjectToString

          public java.lang.String convertEExecutionRateObjectToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                      java.lang.Object instanceValue)

    - #### createEExecutionPointObjectFromString

          public EExecutionPoint createEExecutionPointObjectFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                       java.lang.String initialValue)

    - #### convertEExecutionPointObjectToString

          public java.lang.String convertEExecutionPointObjectToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                       java.lang.Object instanceValue)

    - #### createEActionExecutionModeObjectFromString

          public EActionExecutionMode createEActionExecutionModeObjectFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                                 java.lang.String initialValue)

    - #### convertEActionExecutionModeObjectToString

          public java.lang.String convertEActionExecutionModeObjectToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                            java.lang.Object instanceValue)

    - #### createEApplicationActionExecutionTypeObjectFromString

          public EApplicationActionExecutionType createEApplicationActionExecutionTypeObjectFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                                                       java.lang.String initialValue)

    - #### convertEApplicationActionExecutionTypeObjectToString

          public java.lang.String convertEApplicationActionExecutionTypeObjectToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                                       java.lang.Object instanceValue)

    - #### createEConditionOperatorsObjectFromString

          public EConditionOperators createEConditionOperatorsObjectFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                               java.lang.String initialValue)

    - #### convertEConditionOperatorsObjectToString

          public java.lang.String convertEConditionOperatorsObjectToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                           java.lang.Object instanceValue)

    - #### createEEditorSelectionTypeObjectFromString

          public EEditorSelectionType createEEditorSelectionTypeObjectFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                                 java.lang.String initialValue)

    - #### convertEEditorSelectionTypeObjectToString

          public java.lang.String convertEEditorSelectionTypeObjectToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                            java.lang.Object instanceValue)

    - #### createEFileStructuresObjectFromString

          public EFileStructures createEFileStructuresObjectFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                       java.lang.String initialValue)

    - #### convertEFileStructuresObjectToString

          public java.lang.String convertEFileStructuresObjectToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                       java.lang.Object instanceValue)

    - #### createEFileTypesObjectFromString

          public EFileTypes createEFileTypesObjectFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                             java.lang.String initialValue)

    - #### convertEFileTypesObjectToString

          public java.lang.String convertEFileTypesObjectToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                  java.lang.Object instanceValue)

    - #### createEIconsObjectFromString

          public EIcons createEIconsObjectFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                     java.lang.String initialValue)

    - #### convertEIconsObjectToString

          public java.lang.String convertEIconsObjectToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                              java.lang.Object instanceValue)

    - #### createEIntegratedToolsObjectFromString

          public EIntegratedTools createEIntegratedToolsObjectFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                         java.lang.String initialValue)

    - #### convertEIntegratedToolsObjectToString

          public java.lang.String convertEIntegratedToolsObjectToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                        java.lang.Object instanceValue)

    - #### createEInvokeFormsObjectFromString

          public EInvokeForms createEInvokeFormsObjectFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                 java.lang.String initialValue)

    - #### convertEInvokeFormsObjectToString

          public java.lang.String convertEInvokeFormsObjectToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                    java.lang.Object instanceValue)

    - #### createEMassProcessingObjectFromString

          public EMassProcessing createEMassProcessingObjectFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                       java.lang.String initialValue)

    - #### convertEMassProcessingObjectToString

          public java.lang.String convertEMassProcessingObjectToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                       java.lang.Object instanceValue)

    - #### createEOperatorsObjectFromString

          public EOperators createEOperatorsObjectFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                             java.lang.String initialValue)

    - #### convertEOperatorsObjectToString

          public java.lang.String convertEOperatorsObjectToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                  java.lang.Object instanceValue)

    - #### createEParameterTypesObjectFromString

          public EParameterTypes createEParameterTypesObjectFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                       java.lang.String initialValue)

    - #### convertEParameterTypesObjectToString

          public java.lang.String convertEParameterTypesObjectToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                       java.lang.Object instanceValue)

    - #### createEParmFromTypesObjectFromString

          public EParmFromTypes createEParmFromTypesObjectFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                     java.lang.String initialValue)

    - #### convertEParmFromTypesObjectToString

          public java.lang.String convertEParmFromTypesObjectToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                      java.lang.Object instanceValue)

    - #### createERelativePositionObjectFromString

          public ERelativePosition createERelativePositionObjectFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                           java.lang.String initialValue)

    - #### convertERelativePositionObjectToString

          public java.lang.String convertERelativePositionObjectToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                         java.lang.Object instanceValue)

    - #### createEResourceProcessingTypesObjectFromString

          public EResourceProcessingTypes createEResourceProcessingTypesObjectFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                                         java.lang.String initialValue)

    - #### convertEResourceProcessingTypesObjectToString

          public java.lang.String convertEResourceProcessingTypesObjectToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                                java.lang.Object instanceValue)

    - #### createERunAsJobTypesObjectFromString

          public ERunAsJobTypes createERunAsJobTypesObjectFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                     java.lang.String initialValue)

    - #### convertERunAsJobTypesObjectToString

          public java.lang.String convertERunAsJobTypesObjectToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                      java.lang.Object instanceValue)

    - #### createESortDirectionObjectFromString

          public ESortDirection createESortDirectionObjectFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                     java.lang.String initialValue)

    - #### convertESortDirectionObjectToString

          public java.lang.String convertESortDirectionObjectToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                      java.lang.Object instanceValue)

    - #### createESpecialPropertiesObjectFromString

          public ESpecialProperties createESpecialPropertiesObjectFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                             java.lang.String initialValue)

    - #### convertESpecialPropertiesObjectToString

          public java.lang.String convertESpecialPropertiesObjectToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                          java.lang.Object instanceValue)

    - #### createETableModeObjectFromString

          public ETableMode createETableModeObjectFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                             java.lang.String initialValue)

    - #### convertETableModeObjectToString

          public java.lang.String convertETableModeObjectToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                  java.lang.Object instanceValue)

    - #### createETypesObjectFromString

          public ETypes createETypesObjectFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                     java.lang.String initialValue)

    - #### convertETypesObjectToString

          public java.lang.String convertETypesObjectToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                              java.lang.Object instanceValue)

    - #### createEWorkbenchActionTypeObjectFromString

          public EWorkbenchActionType createEWorkbenchActionTypeObjectFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                                 java.lang.String initialValue)

    - #### convertEWorkbenchActionTypeObjectToString

          public java.lang.String convertEWorkbenchActionTypeObjectToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                            java.lang.Object instanceValue)

    - #### getTaurusPackage

          public TaurusPackage getTaurusPackage()

      Specified by:
        `getTaurusPackage` in interface `TaurusFactory`
      Returns:
        the package supported by this factory.

    - #### getPackage

          @Deprecated
          public static TaurusPackage getPackage()

      Deprecated.

    - #### createLinkedProperty

          public LinkedProperty createLinkedProperty(LinkedPropertyExtension pProperty)

      Description copied from interface: `TaurusFactory`
      Properly creates a linked property.
      Specified by:
        `createLinkedProperty` in interface `TaurusFactory`
      Parameters:
        `pProperty` - the linked property extension
      Returns:
        a new object of class 'Linked Property'.

    - #### createLinkedElementType

          public LinkedElementType createLinkedElementType(LinkedElementTypeExtension pLete)

      Description copied from interface: `TaurusFactory`
      Properly creates a new linked element type.
      Specified by:
        `createLinkedElementType` in interface `TaurusFactory`
      Parameters:
        `pLete` - linked element type extension
      Returns:
        a new object of class 'Linked Element Type'.

    - #### createFunctionPackageIcon

          public FunctionPackageIcon createFunctionPackageIcon(IconExtension pIconExtension)

      Description copied from interface: `TaurusFactory`
      Properly creates an `FunctionPackageIcon`.
      Specified by:
        `createFunctionPackageIcon` in interface `TaurusFactory`
      Parameters:
        `pIconExtension` - the icon extension
      Returns:
        a new object of class 'Function Package Icon'.

    - #### createIDDefinition

          public IDDefinition createIDDefinition(IDDefinitionExtension pExtension)

      Description copied from interface: `TaurusFactory`
      Creates an ID definition from a `IDDefinitionExtension`. Does not create any `Property`s or `RIDProperty` references defined by the ID definition extension.
      Specified by:
        `createIDDefinition` in interface `TaurusFactory`
      Parameters:
        `pExtension` - the extension to create the ID definition from
      Returns:
        the created ID definition

    - #### createFileDescriptor

          public FileDescriptor createFileDescriptor(FileDescriptorExtension pFileDescriptorExtension)

      Description copied from interface: `TaurusFactory`
      Creates an `FileDescriptor` from a `FileDescriptorExtension`. Does not create any `Property`s or `RFileProperty` references defined by the file descriptor extension.
      Specified by:
        `createFileDescriptor` in interface `TaurusFactory`
      Parameters:
        `pFileDescriptorExtension` - the extension to create the `FileDescriptor` from
      Returns:
        the created `FileDescriptor`

    - #### createDynamicToolParameter

          public RToolParameter createDynamicToolParameter(ToolTypeParameter pParameter)

      Description copied from interface: `TaurusFactory`
      Creates a dynamic tool parameter based on a `ToolTypeParameter`.
      Specified by:
        `createDynamicToolParameter` in interface `TaurusFactory`
      Parameters:
        `pParameter` - the `ToolTypeParameter`
      Returns:
        the `RToolParameter` or `null`, if no dynamic tool parameter could be created.

Copyright © 2015 Micro Focus GmbH. All rights reserved.